View Issue Details

IDProjectCategoryView StatusLast Update
0002893Ham Radio DeluxeBugpublic2018-11-11 00:34
Reporterg3ucq 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.4.0.902 
Summary0002893: Incorrect frequency logged from N1MM+
DescriptionA QSO logged in N1MM+ and forwarded to a HRD Log shows the frequency incorrectly.
Steps To ReproduceOpen a HRD Logbook and also N1MM+.
Setup QSO forwarding from N1MM+ to the HRD log.
Make a QSO in N1MM+ with frequency e.g. 14.020
The QSO is logged into the N1MM+ log and also shows in the HRD Log.
Open the ALE for that QSO and observe the frequency box.
The frequency will be displayed as 1.4020 and not 14.020.
Additional InformationThis is reported by a number of users in the Peer to Peer forum.

The following help tickets reference this problem also:
https://support.hamradiodeluxe.com/scp/tickets.php?id=21224
https://support.hamradiodeluxe.com/scp/tickets.php?id=21255
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

Activities

vk2byi

2018-09-16 20:34

viewer   ~0006210

Test case example attached.

N1MM Integration with UDP API.pdf (214,193 bytes)

WA9PIE

2018-10-18 01:04

administrator   ~0006292

With the information that Chris (VK2BYI) can provide, we probably have enough information to solve this one.

K7ZCZ

2018-10-18 19:21

manager   ~0006298

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4376

g3ucq

2018-10-19 14:32

viewer   ~0006309

Fixed

vk2byi

2018-10-21 18:30

viewer   ~0006325

Fixed.

Issue History

Date Modified Username Field Change
2018-09-16 07:22 g3ucq New Issue
2018-09-16 20:26 WA9PIE Assigned To => K7ZCZ
2018-09-16 20:26 WA9PIE Status new => assigned
2018-09-16 20:26 WA9PIE Additional Information Updated View Revisions
2018-09-16 20:26 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-09-16 20:34 vk2byi File Added: N1MM Integration with UDP API.pdf
2018-09-16 20:34 vk2byi Note Added: 0006210
2018-10-18 01:04 WA9PIE Note Added: 0006292
2018-10-18 19:21 K7ZCZ Status assigned => resolved
2018-10-18 19:21 K7ZCZ Resolution open => fixed
2018-10-18 19:21 K7ZCZ Note Added: 0006298
2018-10-19 08:06 K7ZCZ Fixed in Version => 6.4.0.898
2018-10-19 14:32 g3ucq Note Added: 0006309
2018-10-21 18:30 vk2byi Note Added: 0006325
2018-11-04 07:49 K7ZCZ Fixed in Version 6.4.0.898 => 6.4.0.900
2018-11-05 00:47 WA9PIE Status resolved => closed
2018-11-05 00:47 WA9PIE Testing Not Started => Beta Successful
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe